/* giFTui
 * Copyright (C) 2003 the giFTui team
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef __CONFIGURE_H__
#define __CONFIGURE_H__

/* CONFIG */

void giftui_config_init (void);
void giftui_config_end (void);

gboolean giftui_config_load (void);
gboolean giftui_config_load_from_args (gint argc, gchar *argv[]);
void giftui_config_save (void);

void giftui_config_set_str (const gchar *keypath, const gchar *val);
void giftui_config_set_int (const gchar *keypath, gint val);

const char *giftui_config_get_str (const gchar *keypath);
int giftui_config_get_int (const gchar *keypath);

/* DATA */

void giftui_data_set (const gchar *keypath, gpointer value);
void giftui_data_set_full (const gchar *keypath, gpointer value, GDestroyNotify destroy_func);

gpointer giftui_data_get (const gchar *keypath);

void giftui_data_init (void);
void giftui_data_end (void);

#endif
